Package org.jbpm.casemgmt.api.event

## Class CaseDynamicSubprocessEvent

- java.lang.Object
- - org.jbpm.casemgmt.api.event.CaseEvent
  - - org.jbpm.casemgmt.api.event.CaseDynamicSubprocessEvent

-     public class CaseDynamicSubprocessEvent
      extends CaseEvent

  Represents occurrence of dynamic subprocess add to case operation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseDynamicSubprocessEvent​(String user, String caseId, CaseFileInstance caseFile, String processId, Map<String,​Object> data, long processInstanceId)` |
    `CaseDynamicSubprocessEvent​(String user, String caseId, CaseFileInstance caseFile, String processId, Map<String,​Object> data, long processInstanceId, long subProcessInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<String,​Object>` | `getData()` | Returns parameters used when starting sub process instance
    `String` | `getProcessId()` | Returns process id of the subprocess to be started
    `long` | `getProcessInstanceId()` | Returns process instance id of the parent process where subprocess is added to
    `long` | `getSubProcessInstanceId()` | Returns subprocess instance id after it was started.
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.casemgmt.api.event.CaseEvent

      `getCaseFile, getCaseId, getUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseDynamicSubprocessEvent

          public CaseDynamicSubprocessEvent​(String user,
                                            String caseId,
                                            CaseFileInstance caseFile,
                                            String processId,
                                            Map<String,​Object> data,
                                            long processInstanceId)

    - #### CaseDynamicSubprocessEvent

          public CaseDynamicSubprocessEvent​(String user,
                                            String caseId,
                                            CaseFileInstance caseFile,
                                            String processId,
                                            Map<String,​Object> data,
                                            long processInstanceId,
                                            long subProcessInstanceId)

  - ### Method Detail

    - #### getData

          public Map<String,​Object> getData()

      Returns parameters used when starting sub process instance

    - #### getProcessId

          public String getProcessId()

      Returns process id of the subprocess to be started

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Returns process instance id of the parent process where subprocess is added to

    - #### getSubProcessInstanceId

          public long getSubProcessInstanceId()

      Returns subprocess instance id after it was started. This information might not be available before the subprocess was actually started - meaning in before* methods of the listener.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`